Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class JXLoginPane.LoginListenerImpl

    java.lang.Object
      org.jdesktop.swingx.auth.LoginAdapter
          org.jdesktop.swingx.JXLoginPane.LoginListenerImpl

All Implemented Interfaces:
  java.util.EventListener, LoginListener

Enclosing class:
  JXLoginPane

    protected class JXLoginPane.LoginListenerImpl

extends LoginAdapter

Listener class to track state in the LoginService

Constructor Summary
`protected` | `JXLoginPane.LoginListenerImpl()`

Method Summary
`void` | `loginCanceled(LoginEvent source)` Called by the JXLoginPane in the event of a login cancellation by the user.
`void` | `loginFailed(LoginEvent source)` Called by the JXLoginPane in the event of a login failure
`void` | `loginStarted(LoginEvent source)` Called by the JXLoginPane when the Authentication operation is started.
`void` | `loginSucceeded(LoginEvent source)` Called by the JXLoginPane in the event of a successful login.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXLoginPane.LoginListenerImpl

    protected JXLoginPane.LoginListenerImpl()

Method Detail

### loginSucceeded

    public void loginSucceeded(LoginEvent source)

  Description copied from interface: `LoginListener`
  Called by the JXLoginPane in the event of a successful login.

  Specified by:
    `loginSucceeded` in interface `LoginListener`
  Overrides:
    `loginSucceeded` in class `LoginAdapter`
  Parameters:
    `source` - panel that fired the event

### loginStarted

    public void loginStarted(LoginEvent source)

  Description copied from interface: `LoginListener`
  Called by the JXLoginPane when the Authentication operation is started.

  Specified by:
    `loginStarted` in interface `LoginListener`
  Overrides:
    `loginStarted` in class `LoginAdapter`
  Parameters:
    `source` - panel that fired the event

### loginFailed

    public void loginFailed(LoginEvent source)

  Description copied from interface: `LoginListener`
  Called by the JXLoginPane in the event of a login failure

  Specified by:
    `loginFailed` in interface `LoginListener`
  Overrides:
    `loginFailed` in class `LoginAdapter`
  Parameters:
    `source` - panel that fired the event

### loginCanceled

    public void loginCanceled(LoginEvent source)

  Description copied from interface: `LoginListener`
  Called by the JXLoginPane in the event of a login cancellation by the user.

  Specified by:
    `loginCanceled` in interface `LoginListener`
  Overrides:
    `loginCanceled` in class `LoginAdapter`
  Parameters:
    `source` - panel that fired the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.